@keyframes slideInRight {
  from {
    -webkit-transform: translate3d(100%, 0, 0);
    transform: translate3d(100%, 0, 0);
    visibility: visible;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}
@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.loading.secondary.button-component .icon, .loading.primary.button-component .icon {
  animation: rotate 1s infinite 0s linear;
}

/**
 * Different states
 */
.primary.button-component {
  padding: 7px 1rem;
  color: #ffffff;
  border-radius: 4px;
  background: #0075a3;
  border: 1px solid #0075a3;
}
.primary.button-component:hover {
  background: #00658c;
  border: 1px solid #E3E4E4;
}

.loading.primary.button-component {
  flex-direction: row-reverse;
}
.loading.primary.button-component .icon {
  margin-right: 0;
  margin-left: 6px;
}
.loading.primary.button-component .icon:before {
  color: #ffffff;
}

.secondary.button-component {
  border: none;
  background: transparent;
}
.secondary.button-component .text {
  font-size: 14px;
  font-weight: bold;
  text-transform: uppercase;
  color: #59686d;
}

.loading.secondary.button-component .icon:before {
  color: #0075a3;
}

.ternary.button-component {
  padding: 7px 1rem;
  color: #0075a3;
  border: 1px solid #0075a3;
  border-radius: 4px;
  background: #ffffff;
}
.ternary.button-component:hover {
  color: #ffffff;
  background: #00658c;
  border: 1px solid #E3E4E4;
}

.disabled.ternary.button-component {
  opacity: 0.7;
  cursor: not-allowed;
}
.disabled.ternary.button-component:hover {
  color: #0075a3;
  border: 1px solid #0075a3;
  background: #ffffff;
  cursor: not-allowed;
}

.disabled.primary.button-component {
  background: rgba(0, 117, 163, 0.64);
}
.disabled.primary.button-component:hover {
  background: rgba(0, 117, 163, 0.64);
}

/**
 * Button component
 */
.button-component {
  display: flex;
  align-items: center;
  transition: background 0.15s, border 0.15s;
}
.button-component:focus {
  outline: none;
}
.button-component .image {
  margin-right: 6px;
}
.button-component .icon {
  margin-right: 6px;
}

/*# sourceMappingURL=button.component.css.map */
